Apache Module mod_authz_user

Description:User Authorization
Status:Base
Module Identifier:authz_user_module
Source File:mod_authz_user.c
Compatibility:Available in Apache 2.1 and later

Summary

This module provides authorization capabilities so that authenticated users can be allowed or denied access to portions of the web site. mod_authz_user grants access if the authenticated user is listed in a Require user directive. Alternatively Require valid-user can be used to grant access to all successfully authenticated users.

The Require Directives

Apache's Require directives are used during the authorization phase to ensure that a user is allowed to access a resource. mod_authz_user extends the authorization types with user and valid-user .

Since v2.4.8, expressions are supported within the user require directives.

Require user

This directive specifies a list of users that are allowed to gain access.

Require user john paul george ringo

Require valid-user

When this directive is specified, any successfully authenticated user will be allowed to gain access.

Require valid-user
Updated at: 9 months ago
Run-time Configuration DirectivesTable of contentMulti-Processing Modules (MPMs)